
.centered {
    text-align: center;
}
.number{
    text-align: right;
}
.unbreakable {
    white-space: pre;
}
.mono {
    font-family: monospace;
    font-size: larger;
}
#inspect > * {
    display: inline-block;
    vertical-align: top;
}
#inspect caption {
    caption-side: top;
    font-family: sans-serif;
}
span.pointer {
    font-size: 8px;
    position: absolute;
    top: 0;
    right: 0;
    background: black;
    color: white;
    font-weight: bold;
}
span.pointer:last-child {
    left: 0;
    right: initial;
}
td.xmem, th.xmem {
    position: relative;
}
.border {
    border: 1px solid var(--shade-3);
    padding: 4px 4px;
    border-radius: 3px;
}
#playground-output-p {
    white-space: pre;

    min-width: 320px;
    overflow-y: scroll;
    position: relative;
    min-height: 240px;
}
#playground-output {
    position: absolute;
}
#playground-editor {
    min-height: 128px;
    flex-grow: 1;
    min-width: 500px;
    font-size: x-large;
}
#playground-area {
    display: flex;
    flex-flow: row wrap;
}
#main-loading {
    font-size: large;
    margin: 2em 0;
    font-weight: bold;
}
#playground-controls {
    display: flex;
    align-items: center;
    flex-flow: row wrap;
}
#playground-controls .buttons i {
    font-size: 32px;
    margin: 5px;
}
#playground-controls ul.buttons {
    flex-flow: row;
}

.grid-form {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-gap: 5px;
}
tr.mem-bytes td {
    border-bottom: 1px solid var(--shade-4);
}
tr.mem-text {
    height: 1.2em;
}
tr.mem-text td {
    border-top: none;
}
